# MC68000 PLCC 68

> This datasheet is marked with CC0 1.0
> Universal. To view a copy of this license, visit
> http://creativecommons.org/publicdomain/zero/1.0

## Symbol

* Aliases : MC68010, MC68HC000
* Reference : U
* Datasheet : https://www.nxp.com/docs/en/reference-manual/MC68000UM.pdf
* Footprint : Package_LCC:PLCC-68_THT-Socket
* Pins layout : LCC

## Pinout

|Pin|Name|Pin Type|Group|Comment|
|---|---|---|---|---|
|1|D4|B|DATA|Data value|
|2|D3|B|DATA|Data value|
|3|D2|B|DATA|Data value|
|4|D1|B|DATA|Data value|
|5|D0|B|DATA|Data value|
|6|/AS|O3|BUSCTL|Address Strobe|
|7|/UDS|O3|BUSCTL|Upper Data Strobe|
|8|/LDS|O3|BUSCTL|Lower Data Strobe|
|9|R /W|O3|BUSCTL|Read or Write |
|10|/DTACK|I|BUSCTL|Data Transfert ACKnowledge|
|11|/BG|O|BUSARB|Bus Grant|
|12|/BGACK|I|BUSARB|Bus Grant ACKnowledge|
|13|/BR|I|BUSARB|Bus Request|
|14|VCC|PWR|||
|15|CLK|ICLK|CLKSYS|Clock|
|16|GND|GND|||
|17|GND|GND|||
|18|NC|DNC|||
|19|/HALT|B|SYSCTL|Halt signal|
|20|/RESET|B|SYSCTL|Reset signal|
|21|/VMA|O|MC6800CTL|Valid Memory Address|
|22|E|O|MC6800CTL|Enable, common signal to all M6800 Family peripheral devices|
|23|/VPA|I|MC6800CTL|Valid Penpheral Address (also used to indicate to the processor an auto-interruption – auto-vectors 25 to 31)|
|24|/BERR|I|SYSCTL|Bus ERRor|
|25|IPL2|I|IPLSEL|Interrupt Priority Level |
|26|IPL1|I|IPLSEL|Interrupt Priority Level |
|27|IPL0|I|IPLSEL|Interrupt Priority Level |
|28|FC2|O3|FNSEL|Processor Function Code|
|29|FC1|O3|FNSEL|Processor Function Code|
|30|FC0|O3|FNSEL|Processor Function Code|
|31|NC|DNC|||
|32|A1|O|ADDR|Address value|
|33|A2|O|ADDR|Address value|
|34|A3|O|ADDR|Address value|
|35|A4|O|ADDR|Address value|
|36|A5|O|ADDR|Address value|
|37|A6|O|ADDR|Address value|
|38|A7|O|ADDR|Address value|
|39|A8|O|ADDR|Address value|
|40|A9|O|ADDR|Address value|
|41|A10|O|ADDR|Address value|
|42|A11|O|ADDR|Address value|
|43|A12|O|ADDR|Address value|
|44|A13|O|ADDR|Address value|
|45|A14|O|ADDR|Address value|
|46|A15|O|ADDR|Address value|
|47|A16|O|ADDR|Address value|
|48|A17|O|ADDR|Address value|
|49|A18|O|ADDR|Address value|
|50|A19|O|ADDR|Address value|
|51|A20|O|ADDR|Address value|
|52|VCC|PWR|||
|53|A21|O|ADDR|Address value|
|54|A22|O|ADDR|Address value|
|55|A23|O|ADDR|Address value|
|56|GND|GND|||
|57|GND|GND|||
|58|D15|B|DATA|Data value|
|59|D14|B|DATA|Data value|
|60|D13|B|DATA|Data value|
|61|D12|B|DATA|Data value|
|62|D11|B|DATA|Data value|
|63|D10|B|DATA|Data value|
|64|D9|B|DATA|Data value|
|65|D8|B|DATA|Data value|
|66|D7|B|DATA|Data value|
|67|D6|B|DATA|Data value|
|68|D5|B|DATA|Data value|

### Pin groups

|Group id|Rank|Comment|
|---|---|---|
|CLKSYS|10|Clocking system|
|SYSCTL|20|System control signals|
|BUSARB|30|Bus arbitration control|
|BUSCTL|40|Asynchronous bus control|
|IPLSEL|70|Interrupt Priority Level (0..7)|
|FNSEL|80|Processor Function Code (0..7)|
|MC6800CTL|160|MC6800 Peripheral control|
|ADDR|1000|CPU bus address|
|DATA|1010|CPU bus data|


## References

> free form, list of reference documents, hyperlink, etc...
