# PAL circuits 12 inputs, 6 registered 3-states outputs, 2 GPIOs, DIP  

> This datasheet is marked with CC0 1.0
> Universal. To view a copy of this license, visit
> http://creativecommons.org/publicdomain/zero/1.0

## Symbol

* Aliases : PAL20R6
* Reference : U
* Datasheet : https://www.ti.com/lit/ds/symlink/tibpal20r4-20m.pdf
* Footprint : Package_DIP:DIP-24_W7.62mm_LongPads


## Pinout

|Pin|Name|Pin Type|Group|Comment|
|---|---|---|---|---|
|1|CLK|I|CTL|Clock|
|2|I0|I|IN|Input port|
|3|I1|I|IN|Input port|
|4|I2|I|IN|Input port|
|5|I3|I|IN|Input port|
|6|I4|I|IN|Input port|
|7|I5|I|IN|Input port|
|8|I6|I|IN|Input port|
|9|I7|I|IN|Input port|
|10|I8|I|IN|Input port|
|11|I9|I|IN|Input port|
|12|GND|GND|||
|13|/OE|I|CTL|Output enable|
|14|I10|I|IN|Input port|
|15|IO7|B|OUT|Input/Output port|
|16|Q6|O3|OUT|Registered output port (3-state)|
|17|Q5|O3|OUT|Registered output port (3-state)|
|18|Q4|O3|OUT|Registered output port (3-state)|
|19|Q3|O3|OUT|Registered output port (3-state)|
|20|Q2|O3|OUT|Registered output port (3-state)|
|21|Q1|O3|OUT|Registered output port (3-state)|
|22|IO0|B|OUT|Input/Output port|
|23|I11|I|IN|Input|
|24|VCC|PWR|||


### Pin groups

|Group id|Rank|Comment|
|---|---|---|
|CTL|10|Control signals|
|IN|20|Input ports|
|OUT|30|Output ports or IO ports|
